[Pkg-freeipa-devel] dogtag-pki: Changes to 'master'
Timo Aaltonen
tjaalton at moszumanska.debian.org
Thu Feb 16 22:13:09 UTC 2017
debian/changelog | 10 ++++++++++
debian/pki-server.pki-tomcatd.init | 32 ++++++++++++++++++++++++++------
debian/pki-server.postinst | 2 +-
3 files changed, 37 insertions(+), 7 deletions(-)
New commits:
commit 377228e4cb66cd686820e0e54572657bb2a70801
Author: Timo Aaltonen <tjaalton at debian.org>
Date: Fri Feb 17 00:12:55 2017 +0200
pki-server.postinst: Clarify pki-tomcatd initial start failure message a bit.
diff --git a/debian/changelog b/debian/changelog
index ceaf513..ca14886 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,8 @@ dogtag-pki (10.3.5+12-4) UNRELEASED; urgency=medium
* pki-tomcatd.init: If no instance is configured, the initscript
machinery would return error value 5 or 6. This messes up systemd, so
just use 'exit 1' on every non-zero return value. (LP: #1664453)
+ * pki-server.postinst: Clarify pki-tomcatd initial start failure
+ message a bit.
-- Timo Aaltonen <tjaalton at debian.org> Thu, 16 Feb 2017 16:43:49 +0200
diff --git a/debian/pki-server.postinst b/debian/pki-server.postinst
index d23a875..71d0113 100644
--- a/debian/pki-server.postinst
+++ b/debian/pki-server.postinst
@@ -28,7 +28,7 @@ invoke_failure() {
# invoke-rc.d failed, likely because no instance has been configured yet
# but exit with an error if an instance is configured and the invoke failed
if [ ! -d /etc/pki/pki-tomcat ]; then
- echo "... because no CA instance has been configured yet."
+ echo "pki-tomcatd start failed because no instance has been configured yet"
else
exit 1
fi
commit a7910e1f26b30365fc7eb2db3897948832152e8e
Author: Timo Aaltonen <tjaalton at debian.org>
Date: Thu Feb 16 20:00:49 2017 +0200
pki-tomcatd.init: If no instance is configured, the initscript machinery would return error value 5 or 6. This messes up systemd, so just use 'exit 1' on every non-zero return value. (LP: #1664453)
diff --git a/debian/changelog b/debian/changelog
index 5238564..ceaf513 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+dogtag-pki (10.3.5+12-4) UNRELEASED; urgency=medium
+
+ * pki-tomcatd.init: If no instance is configured, the initscript
+ machinery would return error value 5 or 6. This messes up systemd, so
+ just use 'exit 1' on every non-zero return value. (LP: #1664453)
+
+ -- Timo Aaltonen <tjaalton at debian.org> Thu, 16 Feb 2017 16:43:49 +0200
+
dogtag-pki (10.3.5+12-3) unstable; urgency=medium
* server.postrm: Remove /etc/default/pki-tomcat on purge.
diff --git a/debian/pki-server.pki-tomcatd.init b/debian/pki-server.pki-tomcatd.init
index a0a9992..483d5ae 100755
--- a/debian/pki-server.pki-tomcatd.init
+++ b/debian/pki-server.pki-tomcatd.init
@@ -62,23 +62,43 @@ pki_instance="pki-tomcat"
case $command in
status)
registry_status
- exit $?
+ if [ $? -eq 0 ]; then
+ exit 0
+ else
+ exit 1
+ fi
;;
start)
start
- exit $?
+ if [ $? -eq 0 ]; then
+ exit 0
+ else
+ exit 1
+ fi
;;
restart)
restart
- exit $?
+ if [ $? -eq 0 ]; then
+ exit 0
+ else
+ exit 1
+ fi
;;
stop)
stop
- exit $?
+ if [ $? -eq 0 ]; then
+ exit 0
+ else
+ exit 1
+ fi
;;
condrestart|force-restart|try-restart|force-reload)
- [ ! -f ${lockfile} ] || restart
- exit $?
+ [ ! -f ${lockfile} ] || restart
+ if [ $? -eq 0 ]; then
+ exit 0
+ else
+ exit 1
+ fi
;;
reload)
echo "The 'reload' action is an unimplemented feature."
More information about the Pkg-freeipa-devel
mailing list